Get highlight stories
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/highlights/{highlightId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollection",
"id": "https://www.instagram.com/stories/highlights/17909142017083586/",
"entityId": "highlight:17909142017083586",
"totalItems": 12,
"orderedItems": [
{
"type": "Video",
"entityId": "3214260996432123580",
"url": "https://www.instagram.com/stories/highlights/18067016518767507/",
"published": "2026-10-12T18:04:11.000Z",
"summary": "Photo by Cristiano Ronaldo on March 13, 2026.",
"isSponsored": false,
"image": [
{
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
}
],
"attachment": [
{
"type": "Video",
"url": [
"https://instagram.fric1-1.fna.fbcdn.net/o1/v/t2/f2/m86/AQMSAKf5SFey0hmm4BmkEsi9QRmUEHWZpfxqZIHF0fB65GULrqd6ojbYagqtI8oMGuZzikefyNtXWAKh9toLjMNiMg592gXTR65xTsM.mp4"
],
"mediaType": "video/mp4",
"width": 720,
"height": 720
}
],
"duration": 15,
"attributedTo": {
"type": "Person",
"id": "https://www.instagram.com/cristiano/",
"url": "https://www.instagram.com/cristiano/",
"entityId": "173560420",
"preferredUsername": "cristiano",
"name": "Cristiano Ronaldo",
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1080
},
"isVerified": true,
"isBusiness": false,
"isProfessional": true,
"followerCount": 98765,
"role": "collaborator"
},
"tag": [
{
"type": "Tag",
"name": "cr7",
"href": "https://www.instagram.com/explore/tags/cr7/"
}
]
}
],
"name": "Al Nassr",
"image": [
{
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1080
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Highlights
Get highlight stories
Returns all story items within a highlight reel, including images and videos. The highlight ID comes from the highlights list endpoint.
GET
/
v1
/
instagram
/
highlights
/
{highlightId}
Get highlight stories
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/highlights/{highlightId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/instagram/highlights/{highlightId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollection",
"id": "https://www.instagram.com/stories/highlights/17909142017083586/",
"entityId": "highlight:17909142017083586",
"totalItems": 12,
"orderedItems": [
{
"type": "Video",
"entityId": "3214260996432123580",
"url": "https://www.instagram.com/stories/highlights/18067016518767507/",
"published": "2026-10-12T18:04:11.000Z",
"summary": "Photo by Cristiano Ronaldo on March 13, 2026.",
"isSponsored": false,
"image": [
{
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1920
}
],
"attachment": [
{
"type": "Video",
"url": [
"https://instagram.fric1-1.fna.fbcdn.net/o1/v/t2/f2/m86/AQMSAKf5SFey0hmm4BmkEsi9QRmUEHWZpfxqZIHF0fB65GULrqd6ojbYagqtI8oMGuZzikefyNtXWAKh9toLjMNiMg592gXTR65xTsM.mp4"
],
"mediaType": "video/mp4",
"width": 720,
"height": 720
}
],
"duration": 15,
"attributedTo": {
"type": "Person",
"id": "https://www.instagram.com/cristiano/",
"url": "https://www.instagram.com/cristiano/",
"entityId": "173560420",
"preferredUsername": "cristiano",
"name": "Cristiano Ronaldo",
"icon": {
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1080
},
"isVerified": true,
"isBusiness": false,
"isProfessional": true,
"followerCount": 98765,
"role": "collaborator"
},
"tag": [
{
"type": "Tag",
"name": "cr7",
"href": "https://www.instagram.com/explore/tags/cr7/"
}
]
}
],
"name": "Al Nassr",
"image": [
{
"type": "Image",
"url": "https://instagram.fric1-1.fna.fbcdn.net/v/t51.82787-15/851686016_18784443061056421_7099469425037123326_n.jpg",
"width": 1080,
"height": 1080
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}